Accounts
Updates an account via a patch call
PATCH
/
configuration
/
accounts
/
{id}
Updates an account via a patch call
curl --request PATCH \
--url https://commerce1.on-hellgate.dev/configuration/accounts/{id} \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"name": "<string>",
"payment_instruments": {
"ach": true,
"bank_transfer": true,
"card": true,
"sct": true,
"sdd": true
},
"platform_payments": true
}
'import requests
url = "https://commerce1.on-hellgate.dev/configuration/accounts/{id}"
payload = {
"active": True,
"name": "<string>",
"payment_instruments": {
"ach": True,
"bank_transfer": True,
"card": True,
"sct": True,
"sdd": True
},
"platform_payments": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
name: '<string>',
payment_instruments: {ach: true, bank_transfer: true, card: true, sct: true, sdd: true},
platform_payments: true
})
};
fetch('https://commerce1.on-hellgate.dev/configuration/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"payment_instruments": {
"ach": true,
"bank_transfer": true,
"card": true,
"sct": true,
"sdd": true
},
"platform_payments": true,
"type": "<string>"
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}Path Parameters
Account ID
Body
application/json
Body
⌘I
Updates an account via a patch call
